Loading...
Searching...
No Matches
LCM.LCM.LCMDataInputStream Class Referencesealed

Will not throw EOF. More...

Inheritance diagram for LCM.LCM.LCMDataInputStream:

## Public Member Functions

| LCMDataInputStream (byte[] buf)
| LCMDataInputStream (byte[] buf, int offset, int len)
override void | Close ()
void | Reset ()
override bool | ReadBoolean ()
override sbyte | ReadSByte ()
override byte | ReadByte ()
override char | ReadChar ()
override short | ReadInt16 ()
override ushort | ReadUInt16 ()
override int | ReadInt32 ()
override long | ReadInt64 ()
override float | ReadSingle ()
override double | ReadDouble ()
void | ReadFully (byte[] b)
void | ReadFully (byte[] b, int off, int len)
override string | ReadString ()
string | ReadStringZ ()
| Read a string of 8-bit characters terminated by a zero. The zero is consumed.
string | ReadUTF ()
int | SkipBytes (int n)

## Properties

byte[] | Buffer`[get]`
| Returns the internal buffer representation.
int | BufferOffset`[get]`
| Returns the current position in the internal buffer representation.
int | Available`[get]`
| Returns the number of bytes remaining.

## Detailed Description

Will not throw EOF.

The documentation for this class was generated from the following file:

- lcm/lcm/LCMDataInputStream.cs